import { OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import * as fromMangol from './../../../store/mangol.reducers';
import { Observable } from 'rxjs';
import { MangolControllersZoomOptions } from './../../../interfaces/config-map-controllers.interface';
export declare class ZoomButtonsComponent implements OnInit {
    private store;
    animationDuration: number;
    zoom$: Observable<MangolControllersZoomOptions>;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    zoomIn(): void;
    zoomOut(): void;
}
